/********************************************************************************
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

.openk-table {
  border-radius: inherit;
  line-height: 1.25;
  width: 100%;
  font-size: 0.875em;
  border-spacing: 0;

  tr {
    transition: background-color 100ms ease-in-out;

    &:hover {
      background-color: $openk-background-highlight;
    }
  }

  th {
    font-weight: bold;
    background-color: $openk-background-highlight;
  }

  td,
  th {
    border-bottom: 1px solid $openk-form-border;
    padding: 0.5em;
  }
}

.openk-table---last-row-without-border {

  tr:last-child td {
    border-bottom: 0;
  }
}
